--EMOTES--

local mainPage = action_wheel:newPage()
action_wheel:setPage(mainPage)

function pings.Sippy()
      animations.player_model.sipulacrum:play()
end
---
function pings.Yeah()
      animations.player_model.yes:play()
end
---
function pings.No()
      animations.player_model.no:play()
end
---
function pings.NoNoNo(state)
      animations.player_model.noNoNo:play()
end
---
function pings.Wave(state)
      animations.player_model.wave:play()
end
---
function pings.FollowMe(state)
      animations.player_model.followMe:play()
end
---
function pings.Sitting(state)
      animations.player_model.sitting:setPlaying(state)
end
--------------------------------------------------------------------

mainPage:newAction()
    :title("Sippy")
    :item('minecraft:potion{Potion:"minecraft:fire_resistance"}')
    :hoverColor(1,1,0)
    :onLeftClick(pings.Sippy)

mainPage:newAction()
    :title("Yeah")
    :item("minecraft:lime_concrete")
    :hoverColor(1,1,0)
    :onLeftClick(pings.Yeah)
mainPage:newAction()
    :title("No")
    :item("minecraft:red_concrete")
    :hoverColor(1,1,0)
    :onLeftClick(pings.No)
mainPage:newAction()
    :title("No No No")
    :item("minecraft:red_terracotta")
    :hoverColor(1,1,0)
    :onLeftClick(pings.NoNoNo)

mainPage:newAction()
    :title("Wave")
    :item("minecraft:lantern")
    :hoverColor(1,1,0)
    :onLeftClick(pings.Wave)
mainPage:newAction()
    :title("Follow Me")
    :item("minecraft:compass")
    :hoverColor(1,1,0)
    :onLeftClick(pings.FollowMe)    

mainPage:newAction()
    :title("Sit")
    :item("minecraft:purpur_stairs")
    :hoverColor(1,1,0)
    :onToggle(pings.Sitting)
    
